- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QValidator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qvalidator.h.

`#include <qvalidator.h>`

Inheritance diagram for QValidator:
[legend]

List of all members.

## Public Types
enum | State { Invalid, Intermediate, Acceptable }
## Public Member Functions
| QValidator (QObject *parent=0)
| ~QValidator ()
void | setLocale (const QLocale &locale)
QLocale | locale () const
virtual State | validate (QString &, int &) const =0
virtual void | fixup (QString &) const
## Protected Member Functions
| QValidator (QObjectPrivate &d, QObject *parent)
| QValidator (QValidatorPrivate &d, QObject *parent)

## Member Enumeration Documentation

enum State

Search for all occurrences

Enumerator:

  Invalid | Search for all occurrences
  Intermediate | Search for all occurrences
  Acceptable | Search for all occurrences

Definition at line 67 of file qvalidator.h.

                   {
            Invalid,
            Intermediate,
            Acceptable

    #if defined(QT3_SUPPORT) && !defined(Q_MOC_RUN)
            , Valid = Intermediate
    #endif
        };

## Constructor & Destructor Documentation

QValidator | ( | QObject * | parent = `0` | ) | `[explicit]`

~QValidator | ( |  | ) |

QValidator | ( | QObjectPrivate & | d,
|  | QObject * | parent
| ) |  | `[protected]`

QValidator | ( | QValidatorPrivate & | d,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

void setLocale | ( | const QLocale & | locale | ) |

Search for all occurrences

QLocale locale | ( |  | ) | const

Search for all occurrences

virtual State validate | ( | QString & | ,
|  | int & |
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QIntValidator, QDoubleValidator, and QRegExpValidator.

virtual void fixup | ( | QString & |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QIntValidator.

The documentation for this class was generated from the following file:

- QtGui/qvalidator.h

QValidator QValidator QValidator QValidator QValidator QValidator QValidator QValidator QValidator QValidator
QValidator QValidator QValidator QValidator QValidator QValidator QValidator QValidator QValidator QValidator